from flask import Flask
from config import Config
from flask_sqlalchemy import SQLAlchemy
from flask_cors import CORS



db = SQLAlchemy()

def create_app():
    app = Flask(__name__)
    app.config.from_object(Config)
    CORS(app)
    db.init_app(app)
    from controller.routes.user_routes import user_routes
    from controller.routes.db_routes import db_routes
    app.register_blueprint(user_routes)
    app.register_blueprint(db_routes)
    return app



