from sql_funcs import SQL_USER
from app import db
from flask import Blueprint, jsonify, request
from flask_cors import cross_origin
user_routes = Blueprint('user_routes', __name__)


sqluser = SQL_USER(db)
@user_routes.route('/add_user', methods=['POST'])
def add_user():
    data = request.json
    sqluser.add_user(data['email'], data['first_name'], data['last_name'],  data['password'], data['birthday'], data['creation_date'], data['last_access_date'], data['updated_at'], data['enabled'], data['role'], data['athletic_ability'])
    return jsonify({'message': 'User added successfully'}), 201


@user_routes.route('/get_all_users', methods=['GET'])
def get_all_users():
    users = sqluser.get_all_users()
    return jsonify(users), 200  

@user_routes.route('/get_user/<userid>', methods=['GET'])
def get_user(userid):
    user = sqluser.get_user(userid)
    return jsonify(user), 200

@user_routes.route("/check_login", methods=['POST'])
@cross_origin()
def check_login():
    data = request.json
    login_success = sqluser.check_login(data['username'], data['password'])
    return jsonify({'login_success': login_success}), 200
