import React from 'react';
import './grid.css';

const Card = ({ title, description, buttonText }) => (
  <div className="grid-card">
    <div className="image-placeholder"></div>
    <h2>{title}</h2>
    <p>{description}</p>
    <button className="card-button">{buttonText}</button>
  </div>
);

const Grid = () => {
  return (
    <div className="container">
      <h1>Heading</h1>
      <p className="subheading">Subheading</p>
      
      <div className="grid">
        <Card 
          title="Workout 1" 
          description="test" 
          buttonText="Button"
        />
        <Card 
          title="Workout 2" 
          description="test" 
          buttonText="Button"
        />
        <Card 
          title="Title" 
          description="test" 
          buttonText="Button"
        />
      </div>
      
      <button className="view-more-button">View more</button>
    </div>
  );
};

export default Grid;    