import React from 'react';
import './login-page.css';
import logo from '../../assets/logo.png';

const LoginPage = ({ username, setUsername, password, setPassword, handleSubmit, error }) => { // set variables to be used
  console.log({ username, setUsername, password, setPassword, handleSubmit, error });
  return (
    // Outer wrapper
    <div className="login-page"> 
      <img src={logo} alt="logo" className="logo" />
      <div className="container">
        <div className="header">
          <h1>Login</h1>
        </div>
        <form onSubmit={handleSubmit}>
          <input
            type="text"
            placeholder="Username"
            className="input"
            value={username}
            onChange={(e) => setUsername(e.target.value)}
          />
          <div>
            <input
              type="password"
              placeholder="Password"
              className="input"
              value={password}
              onChange={(e) => setPassword(e.target.value)}
            />
          </div>
          <div>
            <button type="submit" className="button">Login</button>
          </div>
        </form>
        {error && <p style={{ color: 'red' }}>{error}</p>}
      </div>
    </div>
  );
};

export default LoginPage;
